it.csi.mddtools.guigen

## Interface CustomCartridge

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface CustomCartridge
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Custom Cartridge'. Cartuccia custom da utilizzare per la full-code generation in un ExecCommand. La definizione di una CustomCartridge è considerata una feature avanzata.

  The following features are supported:

  - `Name`
  - `Crt ID`
  - `Templates`
  See Also:
    `GuigenPackage.getCustomCartridge()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomCartridgeID` | `getCrtID()` Returns the value of the 'Crt ID' attribute.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `org.eclipse.emf.common.util.EList<CustomTemplate>` | `getTemplates()` Returns the value of the 'Templates' containment reference list.
    `void` | `setCrtID(CustomCartridgeID value)` Sets the value of the '`Crt ID`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Nome mnemonico della cartuccia.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getCustomCartridge_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getCrtID

          CustomCartridgeID getCrtID()

      Returns the value of the 'Crt ID' attribute. The literals are from the enumeration `CustomCartridgeID`.

      If the meaning of the 'Crt ID' attribute isn't clear, there really should be more of a description here...

      id della cartuccia
      Returns:
        the value of the 'Crt ID' attribute.
      See Also:
        `CustomCartridgeID`, `setCrtID(CustomCartridgeID)`, `GuigenPackage.getCustomCartridge_CrtID()`

    - #### setCrtID

          void setCrtID(CustomCartridgeID value)

      Sets the value of the '`Crt ID`' attribute.
      Parameters:
        `value` - the new value of the 'Crt ID' attribute.
      See Also:
        `CustomCartridgeID`, `getCrtID()`

    - #### getTemplates

          org.eclipse.emf.common.util.EList<CustomTemplate> getTemplates()

      Returns the value of the 'Templates' containment reference list. The list contents are of type `CustomTemplate`.

      If the meaning of the 'Templates' containment reference list isn't clear, there really should be more of a description here...

      Template messi a disposizione dalla cartuccia.
      Returns:
        the value of the 'Templates' containment reference list.
      See Also:
        `GuigenPackage.getCustomCartridge_Templates()`